﻿using System.Runtime.Serialization;

namespace WCS.Protocol.SX.SRM
{
    /// <summary>
    ///  SRM521
    /// </summary>
    [DataContract]
    public class WCS_SRM521 : ISRM521
    {
        public int TaskID1 { get;set; }
        public short SRow1 { get;set; }
        public short SCol1 { get;set; }
        public short SLayer1 { get;set; }
        public short Cancel1 { get;set; }
        public short ERow1 { get;set; }
        public short ECol1 { get;set; }
        public short ELayer1 { get;set; }
        public short EDepth1 { get;set; }
        public int FinishedTaskID1 { get;set; }
        public int ForkPos1 { get;set; }
        public int TaskID2 { get;set; }
        public short SRow2 { get;set; }
        public short SCol2 { get;set; }
        public short SLayer2 { get;set; }
        public short Cancel2 { get;set; }
        public short ERow2 { get;set; }
        public short ECol2 { get;set; }
        public short ELayer2 { get;set; }
        public short EDepth2 { get;set; }
        public int FinishedTaskID2 { get;set; }
        public int ForkPos2 { get;set; }
        public SrmMode Mode { get;set; }
        public SrmRunStatus Status { get;set; }
        public short Alarm { get;set; }
        public short Row { get;set; }
        public short Col { get;set; }
        public short Layer { get;set; }
        public int TravelPos { get;set; }
        public int LiftPos { get;set; }
        public float TotalKM { get;set; }
        public float RunTime { get;set; }
        public short VoucherNo { get;set; }
    }
}
