﻿using System;
using System.Collections.Generic;
using System.Text;
using wms.sqlsugar.model.fj;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian;
using WCS_TaskOld = wms.sqlsugar.model.fj.WCS_TaskOld;


namespace Wms.Screen.DataService.Interface
{
    /// <summary>
    /// 分拣data接口
    /// </summary>
    public interface IZhongTianFjDataService
    {
        List<WCS_TaskOld> GetFjEquips(GetEquipsRequest reqEntity);
        List<TaskInfoDto> GetFjRunWcsTaskInfo(GetWcsTaskInfoRequest request);
        List<StackDto> GetFjStackInfo(GetWorkPlanBillListRequest reqEntity);
        List<ZtLocationUsageReportViewDto> GetFjLocationUsageReportList(string warehouse);
        List<BomSetGrpCurrentMaterialRateDto> GetBomSetGrpCurrentMaterialRateList(string warehouse);
        List<MantuoBarCodeRateDto> GetMantuoBarCodeRate(string warehouse);
        List<BaseWarecell> GetLocationList(string warehouse);
        List<TaskInOutDto> GeHistoryTaskInfo(GeFJHistoryTaskInfoRequest request);
        List<InvSetGrpDto> GetInvSetGrpList();
    }
}
