﻿using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian;
using BillInvnow = wms.sqlsugar.model.hj.BillInvnow;

namespace Wms.Screen.DataService.Interface
{
    public interface IZhongTianHjDataService
    {
        List<WCS_TaskOld> GetHjEquips(GetEquipsRequest reqEntity);
        /// <summary>
        /// 查询执行中的任务信息
        /// </summary>
        /// <param name="EquipList"></param>
        /// <param name="taskType"></param>
        /// <param name="workShop">车间</param>
        /// <returns></returns>
        List<TaskInfoDto> GetHjRunWcsTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        List<ZTBillDto> GetHjBillList(GetWorkPlanBillListRequest reqEntity);
        //List<BaseWarecell> GetLocationList(GetLocationListRequest reqEntity);
        /// <summary>
        /// 根据类型、编码查询配置信息
        /// </summary>
        /// <param name="configType"></param>
        /// <returns></returns>
        List<SysConfig> GetSysConfig(string code,string configType);
       // int GetEmtpyLocationCountByTunnel(List<string> tunnels, int size);
        int GetRuningInTaskCountByTunnel(int tunnel, string warehousecode, int size);
        bool IsHjHouse();
        List<BaseWarecell> GetLocationList();
        List<BillInvnow> GetBillInvnowList();
        List<WCS_TaskOld> GeHistoryTaskInfo(GeHistoryTaskInfoRequest request);
        List<ZtLocationUsageReportViewDto> GetHjLocationUsageReportList();
        List<TunelCount> GetTunelCountList();
    }
}
