﻿using System;
using System.Collections.Generic;
using System.Text;
using wms.sqlsugar.model.pt;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian;
using BillInvnow = wms.sqlsugar.model.pt.BillInvnow;
using WCS_TaskOld = wms.sqlsugar.model.pt.WCS_TaskOld;


namespace Wms.Screen.DataService.Interface
{
    /// <summary>
    /// 盘条data接口
    /// </summary>
    public interface IZhongTianPtDataService
    {
        List<WCS_TaskOld> GetPtEquips(GetEquipsRequest reqEntity);
        List<TaskInfoDto> GetPtRunWcsTaskInfo(GetWcsTaskInfoRequest request);
        List<ZTBillDto> GetPtBillList(GetWorkPlanBillListRequest reqEntity);
        List<ZtLocationUsageReportViewDto> GetPtLocationUsageReportList();

        List<BaseWarecell> GetLocationList();
        List<BillInvnow> GetBillInvnowList();
        List<WCS_TaskOld> GeHistoryTaskInfo(GeHistoryTaskInfoRequest request);
        List<BoilerNoMatCodeModel> GetBoilerNoMatCodeQtyList();
    }
}
