﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace Bozhon.Wms.Entity.Converter
{
    public class DateTimeConverter : Newtonsoft.Json.JsonConverter
    {
        public override bool CanRead => false;
        public override bool CanWrite => true;

        public override bool CanConvert(Type objectType)
        {
            return true;
        }

        public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer)
        {
            throw new NotImplementedException();
        }

        public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer)
        {
            DateTime dateTime = DateTime.Parse(value.ToString());
            writer.WriteValue(Convert.ToString(dateTime.ToString("yyyy-MM-dd HH:mm:ss")));
        }
    }
}
