﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Dto.ZhongTian.Response
{
    /// <summary>
    ///原料入库看板设备
    /// </summary>
    public class EquipDto
    {
        /// <summary>
        /// 堆垛机编号
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 运行状态
        /// </summary>
        public string EquipState { get; set; }
        /// <summary>
        /// 剩余任务
        /// </summary>
        public int ResidueTask { get; set; }
        /// <summary>
        /// 剩余货位
        /// </summary>
        public int LocationCode { get; set; }
    }

    public class FJEquipDto
    {
        public string Title { get; set; }

        public List<EquipDto> Data { get; set; } = new List<EquipDto>();
    }

    public class TorsiveTestEquipDto : EquipDto
    {
        /// <summary>
        /// 工位1，工位2，工位3，工位4 的轮子信息
        /// </summary>
        public List<string> MatInfos { get; set; }
    }

    public class SXPalletizingInfo
    { 
        public string Code { get; set; }
        public int TotalQty { get; set; }
        public List<List<EquipDto>> Equips{ get; set; }
    }
}
