﻿using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.Dto;

namespace Wms.Screen.Service.IService
{
    /// <summary>
    /// 分拣service接口
    /// </summary>
    public interface IZhongTianFjService
    {
        List<FJEquipDto> GetFjEquips(GetEquipsRequest reqEntity);
        List<TaskInfoDto> GetFjTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        /// <summary>
        /// 码垛信息
        /// </summary>
        /// <param name="reqEntity"></param>
        /// <returns></returns>
        List<StackDto> GetFjStackInfo(GetWorkPlanBillListRequest reqEntity);
        PageResult<ZtLocationUsageReportViewDto> GetFjLocationUsageViewList(string warehouse);
        List<MantuoBarCodeRateDto> GetMantuoBarCodeRate(string warehouse);
        List<BomSetGrpCurrentMaterialRateDto> GetBomSetGrpCurrentMaterialRateList(string warehouse);
        List<ItemVal> GetLocaitonList(string warehouse);
        GeFJHistoryTaskInfoRes GeHistoryTaskInfo(GeFJHistoryTaskInfoRequest request);
        GetFullWeightDistRes GetInvSetGrpList();
    }
}
