﻿using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian;

namespace Wms.Screen.Service.IService
{
    public interface IZhongTianHjService
    {
        List<EquipDto> GetHjEquips(GetEquipsRequest reqEntity);
        /// <summary>
        /// 获取合金任务信息
        /// </summary>
        /// <param name="ReqEntity"></param>
        /// <returns></returns>
        List<TaskInfoDto> GetHjTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        GetFullWeightDistRes GetFullWeightDist();
        List<ItemVal> GetLocaitonList();
        List<ItemVal> GetEmptyFullDist();
        GeHistoryTaskInfoRes GeHistoryTaskInfo(GeHistoryTaskInfoRequest ReqEntity);
        List<ZTBillDto> GetHjBillList(GetWorkPlanBillListRequest reqEntity);
        Result<int> GetEmtpyLocationCountByTunnel(List<string> tunnels, int size);
        Result<int> GetRuningInTaskCountByTunnel(int tunnel, string warehousecode, int size);
        PageResult<ZtLocationUsageReportViewDto> GetHjLocationUsageViewList();
        List<ItemVal> GetTunelCountList();
    }
}
