﻿using AutoMapper;
using AutoMapper.Internal;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using Wms.Screen.Dto.Dadihaiyang.Response;
using Wms.Screen.Service.IService;
using Wms.Screen.DataService.Interface;
using Wms.Screen.SqlSugar.Model;

namespace Wms.Screen.Service.Service
{
   public class BaseDictionaryService: IBaseDictionaryService
    {
        private readonly IMapper _mapper;
        private readonly ISysDictionaryDataService _dictionaryDataService;
        public BaseDictionaryService(IMapper mapper, ISysDictionaryDataService dictionaryDataService)
        {
            _mapper = mapper;
            _dictionaryDataService = dictionaryDataService;
        }
        public List<SysDictionary> GetBaseDictionaryList()
        {
            //var result = new List<BaseDictionaryEntity>() { ReturnValue = new List<BaseDictionaryEntity>() };
            //数据权限
            //var whereDataRule = ExpressionFactory.GetInstance(SysApiResourceDataService, RuleService, HttpContextAccessor, DataToExpressionService).GetDataRuleWhereExpression<BaseDictionary>(DictionaryConst.BaseDictionaryService_GetBaseDictionaryList);
            //高级查询
            //var whereQueryBuilder = ExpressionFactory.GetInstance(SysApiResourceDataService, RuleService, HttpContextAccessor, DataToExpressionService).GetQueryBuilderExpression<BaseDictionary>(reqEntity.QuerBuilderDetails);

            var result = _dictionaryDataService.GetList();
            return result;
        }
    }
}
