﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.SqlSugar.ZhongTian
{
    public class BaseColumn
    {
        public BaseColumn() { }
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true)]
        public virtual long Id { get; set; }
        [SugarColumn(ColumnName = "remark", Length = 500, IsNullable = true, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string Remark { get; set; }
        [SugarColumn(ColumnName = "add_who", Length = 50, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string AddWho { get; set; } = "";
        [SugarColumn(ColumnName = "edit_who", Length = 50, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string EditWho { get; set; } = "";
        [SugarColumn(ColumnName = "add_time", DefaultValue = "1900-1-1")]
        public virtual DateTime AddTime { get; set; } = DateTime.Now;
        [SugarColumn(ColumnName = "edit_time", DefaultValue = "1900-1-1")]
        public virtual DateTime EditTime { get; set; } = DateTime.Now;
        [SugarColumn(ColumnName = "default1", Length = 100, IsNullable = true, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string Default1 { get; set; }
        [SugarColumn(ColumnName = "default2", Length = 100, IsNullable = true, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string Default2 { get; set; }
        [SugarColumn(ColumnName = "default3", Length = 100, IsNullable = true, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string Default3 { get; set; }
    }
}
