﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.SqlSugar.ZhongTian
{
    public class BaseModel
    {
        public BaseModel() { }
        [SugarColumn(ColumnName = "Id", IsPrimaryKey = true)]
        public virtual long Id { get; set; }
        [SugarColumn(ColumnName = "Memo", Length = 500, IsNullable = true, ColumnDataType = "nvarchar", DefaultValue = "")]
        public virtual string Memo { get; set; }
        [SugarColumn(ColumnName = "AddWho", Length = 50, ColumnDataType = "nvarchar", DefaultValue = "", IsNullable = false)]
        public virtual string AddWho { get; set; } = "";
        [SugarColumn(ColumnName = "EditWho", Length = 50, ColumnDataType = "nvarchar", DefaultValue = "", IsNullable = false)]
        public virtual string EditWho { get; set; } = "";
        [SugarColumn(ColumnName = "AddTime", DefaultValue = "1900-1-1", IsNullable = false)]
        public virtual DateTime AddTime { get; set; } = DateTime.Now;
        [SugarColumn(ColumnName = "EditTime", DefaultValue = "1900-1-1", IsNullable = false)]
        public virtual DateTime EditTime { get; set; } = DateTime.Now;
    }
}
