﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.SqlSugar.ZhongTian.SX
{
    /// <summary>
    /// 扭转分配机台数量表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("TorschWbCount")]
    public partial class TorschWbCount
    {
        /// <summary>
        /// Id
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "Id")]
        public long Id { get; set; }
        /// <summary>
        /// 扭转机台号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Code { get; set; }
        /// <summary>
        /// 已分配的任务数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int WbCount { get; set; }
    }
}
