﻿using System.Runtime.Serialization;
using WCS.Protocol.SX.SRM;

namespace WCS.Protocol.SX.DataStructure
{
    /// <summary>
    ///  堆垛机数据
    /// </summary>
    [DataContract]
    public class SRMData : DeviceData
    {
        /// <summary>
        ///  DB520
        /// </summary>
        [DataMember(Order = 3)]
        public WCS_SRM520 D520 { get; set; } = null!;

        /// <summary>
        ///  DB521
        /// </summary>
        [DataMember(Order = 4)]
        public WCS_SRM521 D521 { get; set; } = null!;

        /// <summary>
        ///  DB523
        /// </summary>
        [DataMember(Order = 5)]
        public WCS_SRM537 D537 { get; set; } = null!;
        /// <summary>
        ///  DB522
        /// </summary>
        [DataMember(Order = 6)]
        public WCS_SRM542 D522 { get; set; } = null!;
    }
}
