﻿using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian;
using BillInvnow = wms.sqlsugar.model.cp.BillInvnow;

namespace Wms.Screen.DataService.Interface
{
    /// <summary>
    /// 成品data接口
    /// </summary>
    public interface IZhongTianCpDataService
    {
        List<WCS_TaskOld> GetCpEquips(GetEquipsRequest reqEntity);
        List<TaskInfoDto> GetCpRunWcsTaskInfo(GetWcsTaskInfoRequest request);
        List<ZTBillDto> GetCpBillList(GetWorkPlanBillListRequest reqEntity);
        List<ZtLocationUsageReportViewDto> GetCpLocationUsageReportList();
        List<BillInvnow> GetTrayProductList();
        List<BaseWarecell> GetLocationList();
        /// <summary>
        ///  获取产品信息
        /// </summary>
        /// <param name="taskInfos">任务信息</param>
        /// <returns></returns>
        DeliveryDetails GetProductInfoList(List<ProductInfoListRequset> taskInfos);
    }
}
