﻿using System.Collections.Generic;
using Wms.Screen.Dto.ZhongTian.Response.KLHC;
using Wms.Screen.SqlSugar.ZhongTian;
using Wms.Screen.SqlSugar.ZhongTian.KLHC;

namespace Wms.Screen.DataService.Interface
{
    /// <summary>
    /// 空轮缓存库data接口
    /// </summary>
    public interface IZhongTianKlhcDataService
    {
        /// <summary>
        /// 缓存信息
        /// </summary>
        /// <returns></returns>
        public List<BaseRBCI> GetBaseRrciList();

        /// <summary>
        /// 库存信息
        /// </summary>
        /// <returns></returns>
        public List<KlhcInvInfoRes> GetBaseWarecellList();

        /// <summary>
        /// 空轮库存信息
        /// </summary>
        /// <returns></returns>
        public List<WCS_TaskInfo> GetWcsTaskInfoList();
    }
}