﻿using System;
using System.Collections.Generic;
using System.Text;
using wms.sqlsugar.model.sx;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.SqlSugar.ZhongTian.SX;

namespace Wms.Screen.DataService.Interface
{
    /// <summary>
    /// 时效data接口
    /// </summary>
    public interface IZhongTianSxDataService
    {
        List<LocationUsageReportViewDto> GetSxLocationUsageReportList();
        /// <summary>
        /// 获取扭转检测报警信息
        /// </summary>
        /// <returns></returns>
        List<ReverseErrorInfo> GetReverseErrorInfo();
        List<WCS_TaskOld> GetSxEquips(GetEquipsRequest reqEntity);
        List<SXTaskInfoDto> GetSxRunWcsTaskInfo(GetWcsTaskInfoRequest request);
        List<ProductPackRule> GetSxProductPackRule(GetWorkPlanBillListRequest reqEntity);
        List<SXStockDto> GetExceptionStockInfo();
        TorStaticsInfo GetTorStaticsInfo();
        List<TunnelDto> GetTunnelStopList();
        List<CurStockInfo> GetCurStockInfo();
        List<CurStockInfo> GetCurStockInfoControl();
        List<BaseTorchbandinfo> GetTorStaticsInfo(string maccode);
        Wms.Screen.SqlSugar.ZhongTian.SysConfig GetSysConfig(string code);
        TorschWbCount GetTorschWbCount(string maccode);
        List<WCSTaskInfo> GetPalletizingTasks();
    }
}
