﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Dto.ZhongTian.Request
{
    public class GetWcsTaskInfoRequest
    {
        /// <summary>
        /// 任务类型
        /// </summary>
        public TaskType TaskType { get; set; }
        public List<TaskType> TaskTypelist { get; set; }
        /// <summary>
        /// 任务业务类型
        /// </summary>
        public string TaskBusinessType { get; set; }
        public List<string> TaskBusinessTypeList { get; set; }
        public string WarehouseDocumentType { get; set; }
        public string GroupStockType { get; set; }
        public List<string> WarehouseDocumentTypeList { get; set; }
        public List<string> WarehouseCodeList { get; set; }
        public string WarehouseDocumentCode { get; set; }
        /// <summary>
        /// 车间
        /// </summary>
        public string WorkShop { get; set; }
        public List<string> WorkShops { get; set; }
        /// <summary>
        /// 任务状态
        /// </summary>
        public List<string> TaskStateList { get; set; }
        public bool IsAllTask { get; set; } = false;
        /// <summary>
        /// 开始位置
        /// </summary>
        public string BeginPosition { get; set; }
        public List<string> BeginPositionList { get; set; }
        public List<string> EndPositionList { get; set; }
        public string EndPosition { get; set; }
        public string TaskStartPosition { get; set; }
        public List<string> EquipList { get; set; }
        public DateTime StartTime { get; set; }
        public string EndTime { get; set; }
    }
}
