﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Dto.ZhongTian.Response
{
    /// <summary>
    /// 出入库信息和报警信息
    /// </summary>
    public class StockInAndOutRecordDto
    {
        public string Code { get; set; }
        public string dateTime { get; set; }
        public string Message { get; set; }
        public string BusinessName { get; set; }
    }
    /// <summary>
    /// 扭转检测报警信息
    /// </summary>
    public class ReverseErrorInfo
    {
        /// <summary>
        /// 位置
        /// </summary>
        public string Startion { get; set; }
        /// <summary>
        /// 设备号
        /// </summary>
        public string Equip { get; set; }
        /// <summary>
        /// 工字轮码
        /// </summary>
        public string HWBarCode { get; set; }
        /// <summary>
        /// 工字轮型号
        /// </summary>
        public string HWSpec { get; set; }
        /// <summary>
        /// 扭转检测结果
        /// </summary>
        public decimal TorsChkValue { get; set; }
        /// <summary>
        /// 故障原因
        /// </summary>
        public string Message { get; set; }
        /// <summary>
        /// 故障时间
        /// </summary>
        public DateTime ErrorTime { get; set; }
    }
}
