﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Dto.ZhongTian.Response
{
    public class TorStaticsInfo
    {
        /// <summary>
        /// 库中扭转不合格盘
        /// </summary>
        public int TorNoGood { get; set; }
        /// <summary>
        /// 库中满足时效待检测盘
        /// </summary>
        public int TorTobe { get; set; }
        /// <summary>
        /// 未满足时效待检测盘（今天出库检测）
        /// </summary>
        public int TodayTorNoTobe { get; set; }
        /// <summary>
        /// 库中未满足时效待检测盘(总数)
        /// </summary>
        public int TorNoTobe { get; set; }
     
        /// <summary>
        /// 出库中未分配机台盘数
        /// </summary>
        public int ToroOuting { get; set; }
        /// <summary>
        /// 扭转完成回库途中盘
        /// </summary>
        public int ToroIning { get; set; }
        /// <summary>
        /// 超72小时检测盘
        /// </summary>
        public int TimeOuthw { get; set; }
    }
}
