﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Dto.ZhongTian
{
    /// <summary>
    /// 车间设备信息
    /// </summary>
    public class WorkShopWithEquipment
    {
        /// <summary>
        /// 车间号
        /// </summary>
        public string WorkShop { get; set; }
        /// <summary>
        /// 出或入
        /// </summary>
        public string InOrOut { get; set; }
        /// <summary>
        /// 设备信息
        /// </summary>
        public List<string> Equipments { get; set; }

    }
    /// <summary>
    /// 部门-车间
    /// </summary>
    public class DeptWithWorkShop
    {
        /// <summary>
        /// 部门：也可以用于虚拟部门。
        /// </summary> 
        public string Dept { get; set; }
        /// <summary>
        /// 车间集合
        /// </summary>
        public List<string> WorkShopList { get; set; } = new List<string>();
    }
}
