﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.Service.IService
{
    /// <summary>
    /// 文件处理
    /// </summary>
    public interface IFileService
    {
        /// <summary>
        /// 创建文件
        /// </summary>
        void CreateIniFile();

        /// <summary>
        /// 读
        /// </summary>
        /// <param name="Section"></param>
        /// <param name="Key"></param>
        /// <returns></returns>
        string IniReadValue(string Section, string Key);

        /// <summary>
        /// 写
        /// </summary>
        /// <param name="Section"></param>
        /// <param name="Key"></param>
        /// <param name="Value"></param>
        void IniWriteValue(string Section, string Key, string Value);
        /// <summary>
        /// 读取集合
        /// </summary>
        /// <param name="Section"></param>
        /// <returns></returns>
        List<string> ReadKeyList(string Section);
    }
}
