﻿using CSRedis;
using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;

namespace Wms.Screen.Service.IService
{
    /// <summary>
    /// 成品service接口
    /// </summary>
    public interface IZhongTianCpService
    {
        List<EquipDto> GetCpEquips(GetEquipsRequest reqEntity, CSRedisClient CSRedisClient);
        /// <summary>
        /// 获取成品任务信息
        /// </summary>
        /// <param name="ReqEntity"></param>
        /// <returns></returns>
        List<TaskInfoDto> GetCpTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        List<ZTBillDto> GetCpBillList(GetWorkPlanBillListRequest reqEntity);
        PageResult<ZtLocationUsageReportViewDto> GetCpLocationUsageViewList();
        List<ItemVal> GetTrayProductList();
        List<WarningQtyModel> GetWarningQtyList(MySettings mySettings);

        /// <summary>
        ///  获取产品信息
        /// </summary>
        /// <returns></returns>
        DeliveryDetails GetProductInfoList();
    }
}
