﻿using CSRedis;
using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian.Request;
using Wms.Screen.Dto.ZhongTian.Response;

namespace Wms.Screen.Service.IService
{
    /// <summary>
    /// 盘条service接口
    /// </summary>
    public interface IZhongTianPtService
    {
        List<EquipDto> GetPtEquips(GetEquipsRequest reqEntity, FreeRedis.RedisClient freeRedisClient);
        List<EquipDto> GetPtEquips(GetEquipsRequest reqEntity, CSRedisClient CSRedisClient);
        List<TaskInfoDto> GetPtTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        List<ZTBillDto> GetPtBillList(GetWorkPlanBillListRequest reqEntity);
        PageResult<ZtLocationUsageReportViewDto> GetPtLocationUsageViewList();
        List<PTStockDto> GetInvReports();
        List<ItemVal> GetLocaitonList();
        GeHistoryTaskInfoRes GeHistoryTaskInfo(GeHistoryTaskInfoRequest ReqEntity);
        BarModelRes GetMatCodeBarDatas();
        BarModel2Res GetBoilerNoMatCodeQtyList();
    }
}
