﻿using System;
using System.Collections.Generic;
using System.Text;
using Wms.Screen.Dto.ZhongTian.Response;
using Wms.Screen.Dto;
using Wms.Screen.Dto.ZhongTian.Request;

namespace Wms.Screen.Service.IService
{
    /// <summary>
    /// 时效service接口
    /// </summary>
    public interface IZhongTianSxService
    {
        List<LocationUsageReportViewDto> GetSxLocationUsageViewList();
        /// <summary>
        /// 获取扭转检测报警信息
        /// </summary>
        /// <returns></returns>
        PageResult<ReverseErrorInfo> GetReverseErrorInfo();
        List<List<EquipDto>> GetSxEquips(GetEquipsRequest reqEntity);
        List<SXTaskInfoDto> GetSxTaskInfo(GetWcsTaskInfoRequest ReqEntity);
        List<ProductPackRule> GetSxProductPackRule(GetWorkPlanBillListRequest reqEntity);
        List<SXStockDto> GetExceptionStockInfo();
        List<CurStockInfo> GetCurStockInfo();
        List<CurStockInfo> GetCurStockInfoControl();
        TorStaticsInfo GetTorStaticsInfo();
        List<SXPalletizingInfo> GetPalletizingInfo();
        List<TorsiveTestEquipDto> GetTorsiveTestEquips(GetEquipsRequest reqEntity);
    }
}
