﻿using SqlSugar;

namespace Wms.Screen.SqlSugar.ZhongTian.KLHC
{
    /// <summary>
    ///  江景缓存信息
    /// </summary>
    [SugarTable("Base_RBCI")]
    public partial class BaseRBCI : BaseModel
    {
        /// <summary>
        ///  轮子类型
        /// </summary>
        public string WheelType { get; set; }

        /// <summary>
        ///  当前类型工字轮的缓存数量
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        ///  方向
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Direction { get; set; }

        /// <summary>
        ///  上限警戒值
        /// </summary>
        public int UpperLimitWarningValue { get; set; }

        /// <summary>
        ///  下限警戒值
        /// </summary>
        public int LowerLimitWarningValue { get; set; }
    }
}