﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Wms.Screen.SqlSugar.ZhongTian.SX
{
    [Tenant("sx")]
    [SugarTable("Palletizing")]
    public class Palletizing : BaseModel
    {
        /// <summary> 
        /// 码垛工位
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false, ColumnDescription = "码垛工位")]
        public string Equip { get; set; }

        /// <summary> 
        /// 最大码垛数量
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false, ColumnDescription = "最大码垛数量")]
        public int PalletMax { get; set; }

        /// <summary> 
        /// 是否强制结盘
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false, ColumnDescription = "是否强制结盘")]
        public int Finish { get; set; }

        /// <summary> 
        /// 码垛状态
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false, ColumnDescription = "码垛状态")]
        public int PalletizState { get; set; }

        /// <summary> 
        /// 装箱规则
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false, ColumnDescription = "装箱规则")]
        public string BoxRule { get; set; }

        /// <summary> 
        /// 托盘任务
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false, ColumnDescription = "托盘任务")]
        public int TaskNum { get; set; }

        /// <summary> 
        /// 装箱规则id
        /// </summary> 
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false, ColumnDescription = "装箱规则id")]
        public long BoxRuleId { get; set; }

        /// <summary> 
        /// Count
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Count { get; set; }

        /// <summary> 
        /// IsControlpanel
        /// </summary> 
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }

        /// <summary> 
        /// GoodsType
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int? GoodsType { get; set; }


    }
}
